Unable install Pytorch from source for older GPU card


(Valentas) #1

Good day,

I want to set up locally fastai environment. However, when I try running the first part of the tutorial, I receive an error message stating:

Found GPU0 GeForce GTX 860M which is of cuda capability 5.0.
PyTorch no longer supports this GPU because it is too old.

I found that the problem is related to Pytorch version, which does not support older GPU cards. I found a solution to install older Pytorch from source: pyTorch not working with an old NVidia card

However, when I clone pytorch git and try to install with install.py, I receive a message error.

python setup.py install
running install
running build_deps
error: [WinError 2] The system cannot find the file specified

I have navigated to the correct folder “~\Fast_AI\Github material\fastai\pytorch”, when I list the files I can see setup.py, but it does not allow to run.

Could anyone help solve this problem? I could use CPU, however, it works very slowly when working with deep learning, therefore I would prefer to use GPU.


pyTorch not working with an old NVidia card
Howto: installation on Windows
#2

Hi,

based on the exception

error: [WinError 2] The system cannot find the file specified

I assume you are on Windows.

I ran into the same problem with a GPU which supports only compute capabilty 3.0, for me the solution was to install a legacy binary build (pytorch-0.3.0) provided by peterjc123 in his Google Drive folder.

HTH


(Valentas) #3

Hi joschka,

thank you for the link. Yes I am using windows 10 and python 3.6, with Cuda 8.0. However, my capability is 5.0 since I am using GeForce GTX 860M. I have downloaded the pytorch-0.3.0-py36_0.3.0cu80.tar.bz2.

And it works!

Thank you very much for your help and link to google drive!


(srib) #4

The latest version of PyTorch has support for Windows.


(Qin Lu) #5

Hello,

My OS is Ubuntu 16.04. My GPU is a GeForce GTX 960M.

I am new to conda. How can I replace pythorch with the binaries in the conda environment?

I would appreciate more details,

Thanks,

-Q


(Valentas) #6

I think the six steps listed in this section will help you:

In my case, when I downloaded the pytorch from local source, I could not manage to install it. Therefore, I downloaded windows installer via Joschka suggestion (see answer above).


(Danilo Pena) #7

Hey,
Thank you so much for your tips on this thread and here as well.

I ended up downloading pytorch-0.3.0-py36_0.3.0cu80.tar.bz2 as well and pasting it inside of the fastai folder. I then ran conda install pytorch-0.3.0-py36_0.3.0cu80.tar.bz2 in the command line. Is this what you did as well? I wasn’t sure if this is a kosher way of doing it.

At any rate, it worked (after hours) hahah.

Thanks


(Valentas) #8

Hi,

Yes I did the same thing, just set the location of the file to my download folder.

Glad to hear that it worked!


(Danilo Pena) #9

Now I am having a trouble with memory.

Did you download the pytorch folder as stated in the other thread? Or did you just install pytorch-0.3.0-py36_0.3.0cu80.tar.bz2?


(Valentas) #10

Yes, I downloaded the packaged and installed it via conda prompt to fastai environment.

I do not remember the precise command, but I assume its conda install filename.

Before you can navigate to the location of the file using cd.


(Abenezer) #11

After a long search i found the solution
The problem is that if the GPU is old the pytorch version before 0.4.0 doesn’t work, so you have to install the newest pytorch,
run this - conda install -c pytorch pytorch
After you install the newest pytorch you will face torch._C import * DLL load failed problem
to fix that run the ff code
set PYTORCH_BUILD_VERSION=0.4.1


(Ralf Janser) #12

What cuda version do you run CUDA8.x or CUDA9.2?
Whats’ about conda install pytorch cuda92 -c pytorch
pip3 install torchvision


#13

Hi All,
I have windows machine with old GPU 960M
i am having problem with running fastai lesson 1

I get following error
RuntimeError: cuda runtime error (48) : no kernel image is available for execution on the device at c:\anaconda2\conda-bld\pytorch_1519501749874\work\torch\lib\thc\generic/THCTensorMath.cu:15

I tried following steps:

  1. i dont know how to install PyTorch 0.4.0
  2. i tried this solution (conda install -c peterjc123 pytorch)

nothing is working for me. please help.
thanks


(Nov05) #14

Hi there. I kinda combined the methods from this post and this one for my Windows 10, CUDA 10.0, GTX 950M environment.

I have done the following steps in Anaconda:

  1. conda activate fastai
  2. conda uninstall pytorch
  3. git clone --recursive https://github.com/pytorch/pytorch
  4. cd pytorch
  5. conda install -c pytorch pytorch

I checked the versions in my Jupyter Notebook by the following code:

import torch
print("PyTorch version: ", torch.__version__)
print("CUDA Version: ", torch.version.cuda)
print("cuDNN version is: ", torch.backends.cudnn.version())

Before the versions for fastai was:

PyTorch version: 0.3.1.post2
CUDA Version: 9.0
cuDNN version is: 7003

Now they are:

PyTorch version: 1.0.0
CUDA Version: 9.0
cuDNN version is: 7005
Device: cuda:0

Then tried the fastai course notebooks. Yep, it worked. The key is the PyTorch version. Thanks, guys.

P.S. My non-fastai environment is like:

PyTorch version: 1.0.0
CUDA Version: 10.0
cuDNN version is: 7401
Device: cuda:0